Bug 828848 - --skip-symlinks doesn't work
Summary: --skip-symlinks doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: createrepo
Version: 19
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-05 13:14 UTC by Tomas Mlcoch
Modified: 2014-01-21 23:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-05 07:16:25 UTC


Attachments (Terms of Use)
Patch (899 bytes, patch)
2012-06-05 13:14 UTC, Tomas Mlcoch
no flags Details | Diff

Description Tomas Mlcoch 2012-06-05 13:14:13 UTC
Created attachment 589528 [details]
Patch

Description of problem:
--skip-symlinks doesn't work

Version-Release number of selected component (if applicable):
createrepo-0.9.9-11.fc18.noarch

How reproducible:
createrepo --skip-symlinks repository_with_symlinked_packages/

Steps to Reproduce:
1. run createrepo with --skip-symlinks
2. check repodata/[hash]-primary.xml.gz
3. symlinked packages are included
  
Actual results:
symlinked packages are included

Expected results:
symlinked packages are not included

Additional info:
Patch attached

Comment 1 Fedora End Of Life 2013-04-03 16:48:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19


Note You need to log in before you can comment on or make changes to this bug.